Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3901 - autoexpect says the system has no more PTYs
Summary: autoexpect says the system has no more PTYs
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: exmh
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-05 16:15 UTC by Andreas Busch
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-28 22:16:17 UTC


Attachments (Terms of Use)

Description Andreas Busch 1999-07-05 16:15:50 UTC
BTW: expect-5.28-29.i386.rpm is not listed in components.

expect-scripts and autoexpect script generation doesn't
work anymore with the new Unix 98 pty compiled into the
kernel (my version 2.2.10)
Increasing the number of pty's doesn't solve the problem.

[root@zuse1 /root]# autoexpect
autoexpect started, file is script.exp
The system has no more ptys.  Ask your system administrator
to create more.
    while executing
"spawn -noecho $env(SHELL)"
    (file "/usr/bin/autoexpect" line 317)

Comment 1 Jeff Johnson 1999-08-28 22:16:59 UTC
Make sure that /dev/pts is mounted. You should have a line in
/etc/fstab like
none                    /dev/pts        devpts  gid=5,mode=620  0 0

I don't know of any other problems like this. Please reopen this
bug if my analysis is wrong.


Note You need to log in before you can comment on or make changes to this bug.